package application

import (
	"os"
	"path"
	"sirlab.de/go/knyt/user"
)

func (app Application) loadUsers() error {
	dirName := path.Join(app.config.DataDir, "users")
	files, err := os.ReadDir(dirName)
	if err != nil {
		return err
	}
	for _, file := range files {
		fileName := path.Join(dirName, file.Name())

		if usr, err := user.NewUserFromFile(fileName); err != nil {
			return err
		} else {
			usr.SetId(file.Name()[0:6])
			app.users[usr.GetId()] = usr
		}
	}

	return nil
}
